import 'package:get/get.dart';
import 'package:sigap/src/features/auth/presentasion/bindings/auth_bindings.dart';
import 'package:sigap/src/features/onboarding/presentasion/bindings/onboarding_binding.dart';
import 'package:sigap/src/features/personalization/presentasion/bindings/personalization_bindings.dart';

class ControllerBindings extends Bindings {
  @override
  void dependencies() {
    // Register all controllers here
    
    // Onboarding Bindings
    OnboarControllerBindings().dependencies();

    // Auth Bindings
    AuthControllerBindings().dependencies();

    // Personalization Bindings
    PersonalizationBindings().dependencies();

  }
}
